/*	BareBones W_VT52 Library Demo
 *
 *	 1994 DataBasement Software
 *		Written By Erin Monaco
 *
 *	This demo is for tutorial purposes only. It is intended to show an
 *	example of each W_VT52.LIB function being called.  This source may
 *	be modified for your own personal use.
 *
 *	Do not distribute this demo if it has been modified in any way, shape
 *	or form.
 *
 *	It is my hope to demonstrate how easily the W_VT52.LIB may be included
 *	in your own programs. Currently the Windowed VT52 library comes in 4
 *	versions. This program using the most stripped down version.
 *
 *	The W_VT52.H file contains a lot of text on the use of this library.
 *
 *	The sources for this library have been included to facilitate porting
 *	to the language of your choice.
 *
 *	The W_VT52.LIB and its sources are ShareWare. This library is pretty
 *	much a limited demo of the other libraries. You may use this library
 *	in your own programs and may distribute programs (freely) which use this
 *	library as long as you do two things:
 *
 *	1: Include in your program the following: (readily visable)
 *
 *	Uses: The Windowed Text Library - ShareWare By DataBasement Software
 *
 *
 *	2: You must also include in the docs the following message.
 *
 *	start documentation message 
 *
 *	                *****************************
 *	                * The Windowed Text Library *
 *	                *****************************
 *
 *	BareBones W_VT52.LIB:               Tiny W_VT52.LIB:
 *	=====================               ================
 *	ShareWare fee $5                    ShareWare fee $8
 *
 *	- Complete C sources.               - Same as BareBones Lib +:
 *	- Simple windowed text output       - Esc commands to:
 *		  via a C like printf()             Change text size
 *	                                      Change text colors
 *	- Esc commands to:                    Change text effects
 *		Move cursor up, down                Save/Restore cursor position
 *	    left and right                    Toggle Inverse/Normal modes
 *		Clear window & Home Cursor          Toggle line wrap
 *		Get & set cursor position           Use/Ignore control codes
 *
 *	- Up to 8 text windows
 *
 *
 *	Normal W_VT52.LIB:                  Full W_VT52.LIB:
 *	==================                  ================
 *	ShareWare fee $10										ShareWare fee $15
 *
 *	- Same as Tiny Lib +:               - Same as Normal Lib +:
 *	- Esc commands to:                  - Esc commands to:
 *	  Clear to end of window              Turn on/off visable cursor
 *	  Clear to end of line                Toggle Insert/Overwrite cursor
 *		Insert line
 *	  Delete line                       - Define a text rectangle within
 *		Clear to start of window              a given window
 *	  Clear to start of line						- Outch() function for quicker
 *	  Clear line                            character by character output
 *	                                    - function to find cursor position
 *	                                        under mouse
 *
 *
 *  * Sources included for porting or modification purposes
 *
 *	Available from DataBasement Software.
 *
 *	Erin Monaco
 *	35244 Chestnut St.
 *	Wayne, MI  48184
 *
 *	You may also register via GEnie Gift Of Time (GOT) to E.MONACO
 *	Type M080 and follow the prompts.
 *
 *	end message
 *
 *	You may not distribute in any way, modified library code.
 *
 *	Programs which make use of any modified library code must include
 *	the above program and documentation messages. In addition you should
 *	state that you've made personal modifications. You may list these
 *	modifications if you wish.
 *
 *	                    *** Important Note ***
 *
 *	If you intend to release a program for profit (ie; ShareWare,
 *	Commercial, Etc) You are also required to register the library.
 *	
 */


#include <aes.h>
#include <osbind.h>

#include "W_VT52.H"


/* Global vars
 *
 */

char
	wtitle[] = " W_VT52 Demo ";


/* Prototypes
 *
 */

void	main(void);


/* Main
 *
 */

void main(void)
{

	int
		index,							/* loop variable */
		windh;							/* our windows handle */

	short
		vdih,								/* vdi handle as returned by w_init() */
		width,							/* width of work area needed */
		height,							/* height of work area needed */
		row,								/* row */
		col,								/* column */
		d,									/* dummy variable */
		ROWS,								/* Number of rows in window */
		COLS;								/* Number of columns in window */


	appl_init();					/* initialize application */

	windh = wind_create(NAME, 0, 0 , 640, 400);

	/* set title text */
	wind_title(windh, wtitle);

	/* initialize window for printing */
	w_init(windh, &vdih, &ROWS, &COLS);

	/* calculate window w & h for 10 rows X 35 columns */
	w_calc(windh,	10, 30, &width, &height);

	/* calculate total size of window needed */
	wind_calc(WC_BORDER, NAME, 0, 0, width, height,
						&d, &d, &width, &height);

	/* open window to appropriate height */
	wind_open(windh, 1, 20, width, height);

	/* set window library to windows correct size */
	w_resize(windh, &ROWS, &COLS);

	/* clear screen and home cursor */
	w_escf(windh, ESC_E, &d, &d);

	/* print 100 lines */
	for(index = 0; index < 100; index++)
	{

		w_printf(windh, "Now printing line# %d.\n", index);

	}	/* done printing 100 lines */

	/* wait for keypress */
	w_printf(windh, "press any key");
	Bconin(2);

	/* lets move window */
	wind_set(windh, WF_CXYWH, 50, 40, width, height);

	/* inform library of the change */
	w_resize(windh, &ROWS, &COLS);

	/* clear screen and home cursor */
	w_escf(windh, ESC_E, &d, &d);

	/* print 100 lines that are too long */
	for(index = 0; index < 100; index++)
	{

		w_printf(windh, "Now printing line# %d. But it is too long for 1 line!\n", index);

	}	/* done printing 100 lines */

	/* wait for keypress */
	w_printf(windh, "press any key");
	Bconin(2);

	/* cut windows width and height in half */
	wind_set(windh, WF_CXYWH, 25, 25, (width/2), (height/2));

	/* inform library of the change */
	w_resize(windh, &ROWS, &COLS);

	/* clear screen */
	w_escf(windh, ESC_E, &d, &d);

	/* print 100 lines */
	for(index = 0; index < 100; index++)
	{

		w_printf(windh, "Line # %d.\n", index);

	}	/* done printing 100 lines */

	/* wait for keypress */
	w_printf(windh, "press any key");
	Bconin(2);

	/* print 100 lines on same line */

		/* clear screen and home cursor */
		w_escf(windh, ESC_E, &d, &d);

		/* print message */
		w_printf(windh, "On same line\n");

		/* middle row */
		row = (short) (ROWS/2);
		col = 0;

		/* Set new row & column */
		w_escf(windh, ESC_Y, &row, &col);

		/* print 100 lines */
		for(index = 0; index < 100; index++)
		{

			/* use \r (return) prints with no lf!!! */
			w_printf(windh, "Line # %d.\r", index); 

		}	/* done printing 100 lines */

		/* wait for keypress */
		w_printf(windh, "press any key");
		Bconin(2);

	/* close window */
	wind_close(windh);

	/* inform library */
	w_term(windh);

	/* delete window */
	wind_delete(windh);

	/* all done, so exit nicely */
	appl_exit();
	Pterm0();


}	/* end of main */

