/*	Windowed Terminal Emulator
 *	By Erin M. Monaco
 *
 *	Copyright 1994 DataBasement Software
 *	All Rights Reserved
 *
 *	OBJECTIVE:
 *	Provide a library of windowed terminal emulator routines suitable
 *	for displaying/controling a VT-52 type screen within the bounds
 *	of a given window.
 *
 */

#include "W_VT52.H"

/*	w_blit()
 *
 *	Blits one source to destination in replace mode
 *
 */

int w_blit
(
	WTES *wtes,	/* pointer to valid WTES   */
	int sx,			/* sources x position      */
	int sy,			/*    "    y    "          */
	int sw,			/*    "    width           */
	int sh,			/*    "    height          */
	int dx,			/* destinations x position */
	int dy,			/*      "       y    "     */
	int dw,			/*      "       width      */
	int dh			/*      "       height     */
)

{


	MFDB	src, dest;	/* our MFDBs */
	short pxy[8];			/* array of points for vro_cpyfm */


	src.fd_addr = NULL;		/* using screen */
	dest.fd_addr = NULL;	/* using screen */

	/* construct src & dest rectangles */
	pxy[0] = (short) sx;	/* first column */
	pxy[1] = (short) sy;	/* first row */
	pxy[2] = (short) sw;	/* last column */
	pxy[3] = (short) sh;	/* last row */

	pxy[4] = (short) dx;	/* first column */
	pxy[5] = (short) dy;	/* first row */
	pxy[6] = (short) dw;	/* last column */
	pxy[7] = (short) dh;	/* last row */


	/* set writing mode to replace */
	vswr_mode(wtes->vdih, MD_REPLACE);

	/* begin update */
	wind_update(BEG_UPDATE);

	/* mouse off */
	graf_mouse(M_OFF, NULL);

	vro_cpyfm(wtes->vdih, S_ONLY, &pxy[0], &src, &dest);

	/* mouse on */
	graf_mouse(M_ON, NULL);

	/* end update */
	wind_update(END_UPDATE);


	return(R_OK);


}	/* end w_bilt */

