/*	Windowed Terminal Emulator
 *	By Erin M. Monaco
 *
 *	Copyright 1994 DataBasement Software
 *	All Rights Reserved
 *
 *	OBJECTIVE:
 *	Provide a library of windowed terminal emulator routines suitable
 *	for displaying/controling a VT-52 type screen within the bounds
 *	of a given window.
 *
 */

#include "W_VT52.H"

/************************************************************************/
/*	w_calc()
 *
 *	Calculates minimum width and height of rectangle needed for the given
 *	number of rows and columns for a particular point size. Use text size
 *	#defines from the WTE_.H file.
 *
 */

int w_calc
(
	int		windh,					/* windows handle (w_init() called successfully) */
	short rows,						/* number of rows */
	short cols,						/* number of columns */
	short *width,					/* required width of rectangle */
	short *height					/* required height of rectangle */
)

{

	int
		index = 0;					/* indexing variable */


	/* find correct WTES structure or signal error */
	while(wtes[index].windh != windh)
	{

		/* inc index */
		index++;

		/* test */
		if(index > WTESL)
			return(R_ERR);	/* not found, signal error */

	}	/* end while looking for correct WTES struct */	

	/* calculate width of rectangle needed */
	*width = (short) (cols * wtes[index].vt.tw);

	/* calculate height of rectangle needed */
	*height = (short) (rows * wtes[index].vt.th);

	/* return everything ok */
	return(R_OK);


}	/* end of w_calc */ 
