/*	Windowed Terminal Emulator
 *	By Erin M. Monaco
 *
 *	Copyright 1994 DataBasement Software
 *	All Rights Reserved
 *
 *	OBJECTIVE:
 *	Provide a library of windowed terminal emulator routines suitable
 *	for displaying/controling a VT-52 type screen within the bounds
 *	of a given window.
 *
 */

#include "W_VT52.H"

/************************************************************************/
/*	w_fill()
 *
 *	Fills rectangle with current background color
 *
 */

int w_fill
(
	WTES *wtes,	/* pointer to valid WTES   */
	int x,			/* x position      */
	int y,			/* y    "          */
	int w,			/* width           */
	int h				/* height          */
)

{

	short pxy[4];		/* vdi rectangle */


	/* fill */
	pxy[0] = (short) x;	/* x */
	pxy[1] = (short) y;	/* y */
	pxy[2] = (short) w;	/* w */
	pxy[3] = (short) h; /* h */


	/* set writing mode to xor */
	vswr_mode(wtes->vdih, MD_REPLACE);

	/* begin update */
	wind_update(BEG_UPDATE);

	/* mouse off */
	graf_mouse(M_OFF, NULL);

	/* fill rectangle */
	vr_recfl(wtes->vdih, &pxy[0]);

	/* mouse on */
	graf_mouse(M_ON, NULL);

	/* end update */
	wind_update(END_UPDATE);


	return(R_OK);


}	/* end w_fill */
