/*	Windowed Terminal Emulator
 *	By Erin M. Monaco
 *
 *	Copyright 1994 DataBasement Software
 *	All Rights Reserved
 *
 *	OBJECTIVE:
 *	Provide a library of windowed terminal emulator routines suitable
 *	for displaying/controling a VT-52 type screen within the bounds
 *	of a given window.
 *
 */

#include "W_VT52.H"

/************************************************************************/
/*	w_gcor()
 *
 *	Called after initialized. Used to get current row & column of cursor.
 *
 */

int w_gcor
(
	int windh,						/* windows handle */
	short *row,						/* fills row number */
	short *col						/* fills column number */
)

{

	int index = 0;


	/* find correct WTES structure or signal error */
	while(wtes[index].windh != windh)
	{

		/* inc index */
		index++;

		/* test */
		if(index > WTESL)
			return(R_ERR);	/* not found, signal error */

	}	/* end while looking for correct WTES struct */	

	/* fill in row and column */
	*row = wtes[index].vt.crow;
	*col = wtes[index].vt.ccol;

	return(R_OK);


}	/* end of w_gcor */
