/*	Windowed Terminal Emulator
 *	By Erin M. Monaco
 *
 *	Copyright 1994 DataBasement Software
 *	All Rights Reserved
 *
 *	OBJECTIVE:
 *	Provide a library of windowed terminal emulator routines suitable
 *	for displaying/controling a VT-52 type screen within the bounds
 *	of a given window.
 *
 */

#include "W_VT52.H"

/************************************************************************/
/*	w_setc()
 *
 *	Sets cursor to new location
 *
 */

int w_setc
(
	WTES *wtes,	/* pointer to valid WTES   */
	short *row,	/* new row */
	short *col	/* new col */
)

{

	/* if row or column = -1 then use keep old value */

	if((*row) != -1)	/* ok to update? */
	{
		/* update row */
		wtes->vt.crow = *row;
	}

	if((*col) != -1)	/* ok to update? */
	{
		/* update column */
		wtes->vt.ccol = *col;
	}

	/* fill in row & column */
	*row = wtes->vt.crow;
	*col = wtes->vt.ccol;


	return(R_OK);


}	/* end w_setc */
