/*	Windowed Terminal Emulator
 *	By Erin M. Monaco
 *
 *	Copyright 1994 DataBasement Software
 *	All Rights Reserved
 *
 *	OBJECTIVE:
 *	Provide a library of windowed terminal emulator routines suitable
 *	for displaying/controling a VT-52 type screen within the bounds
 *	of a given window.
 *
 */

#include "W_VT52.H"

/************************************************************************/
/*	w_term()
 *
 *	Call when you wish to quit.  This function releases the vdi
 *  handle and any associated memory. Call it right before deleting
 *  the window.  You must use this function to correctly free up
 *	system memory for EACH VT_52 terminal window!
 *
 */

int w_term
(
	int windh							/* windows handle */
)

{

	int index = 0;				/* index value */


	/* find correct WTES structure or signal error */
	while(wtes[index].windh != windh)
	{

		/* inc index */
		index++;

		/* test */
		if(index > WTESL)
			return(R_ERR);	/* not found, signal error */

	}	/* end while looking for correct WTES struct */	

	/* found it! now close the workstation handle */
	v_clsvwk(wtes[index].vdih);

	/* reset windh */
	wtes[index].windh = 0;

	return(R_OK);


}	/* end of w_term */
